<template>
  <div class="card shadow" :class="type === 'dark' ? 'bg-default': ''">
    <div class="card-header border-0" :class="type === 'dark' ? 'bg-transparent': ''">
    </div>

    <div class="table-responsive">
      <base-table class="table align-items-center table-flush"
                  :class="type === 'dark' ? 'table-dark': ''"
                  :thead-classes="type === 'dark' ? 'thead-dark': 'thead-light'"
                  tbody-classes="list"
                  :data="tableData">
        <template slot="columns">
          <th>Kind</th>
          <th>Name</th>
          <th>Task</th>
          <th>Stage</th>
          <th>Action</th>
          <th>Dependencies</th>
          <th>Complete</th>
          <th>Error</th>
          <th>Masked</th>
          <th></th>
        </template>

        <template slot-scope="{row}">
          <th scope="row">
            <div class="media align-items-center">
              <div class="media-body">
                <span class="name mb-0 text-sm">{{row.ActionKind}}</span>
              </div>
            </div>
          </th>
          <th scope="row">
            <div class="media align-items-center">
              <div class="media-body">
                <span class="name mb-0 text-sm">{{row.ActionName}}</span>
              </div>
            </div>
          </th>
          <td>
            {{row.Taskid}}
          </td>
          <td>
            {{row.Stageid}}
          </td>
          <td>
            {{row.Actionid}}
          </td>
          <td>
            {{row.Dependencies}}
          </td>
          <td>
            {{row.Completed}}
          </td>
          <td>
            {{row.Error}}
          </td>
          <td>
            {{row.Masked}}
          </td>

          <td class="text-right">
            <base-dropdown class="dropdown"
                           position="right">
              <a slot="title" class="btn btn-sm btn-icon-only text-light" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                <i class="fas fa-ellipsis-v"></i>
              </a>

              <template>
                <a class="dropdown-item" href="'#">Clear Error</a>
                <a class="dropdown-item" href="'#">Mark Complete</a>
                <a class="dropdown-item" href="'#">Delete</a>
              </template>
            </base-dropdown>
          </td>

        </template>

      </base-table>
    </div>

  </div>
</template>
<script>
  const axios = require('axios').default;
  export default {
    name: 'task-table',
    props: {
      type: {
        type: String
      },
      title: String
    },
    data() {
      return {tableData: []}
    },
    mounted() {
        axios
            .get(location.origin+'/api/materializations/'+this.title+'/tasks')
            .then( response => (this.tableData = response.data ))
            .finally(() => this.loading = false)
    }
  }
</script>
<style>
</style>
